Skip to main content
GET
/
document
/
transfers
List document transfers
curl --request GET \
  --url https://app.myhero.so/document/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "<string>",
      "ownerId": "<string>",
      "recipientId": "<string>",
      "recipientEmail": "<string>",
      "sender": {
        "displayName": "<string>",
        "email": "<string>"
      },
      "data": {
        "documentIds": [
          "<string>"
        ],
        "rootDocument": {
          "projectId": "<string>",
          "name": "<string>",
          "type": "FOLDER"
        }
      },
      "expires": 123,
      "status": "pending",
      "invitationId": "<string>",
      "createdAt": 123,
      "updatedAt": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Returns all document transfers where the authenticated user is either the sender or the recipient. Results are sorted newest-first.

Authorizations

Authorization
string
header
required

HERO personal access token

Response

200 - application/json

200 response

data
object[]
required